.table {
    width: 100%;
    margin-bottom: 1rem;
    color: #000000;
}

.table thead th {
    vertical-align: bottom;
    border-bottom: 2px solid #dee2e6;
}
.table td, .table th {
    padding: .75rem;
    vertical-align: top;
    border-top: 1px solid #dee2e6;
}

.active {
    background-color: #0d6efd !important; 
    color: #fff !important; 
}

.fixed-content {
    width: 100%;
    height:100vh;
    overflow:hidden;
    position:relative;
    z-index:29;
}

.table-content {
    width: 100%;
    height: 100vh;
    overflow: auto;
    position: absolute;
    z-index: 10;
    top: 0;
    left: 0;
}


table.all-data {
    margin:0;
    width: 100%;
}

#main-table-body tr td:first-child {
    position: sticky;
    left: 0;
    top: auto;
    white-space: nowrap;
    width: 70px;
    background-color: #fff;
}

tr.contentTable-head th:first-child {
    position: sticky;
    top: 0;
    left: 0;
    z-index: 35;
    width: 70px;
}


tr.contentTable-head th {
    position: sticky;
    top: 0;
    left: auto;
    white-space: nowrap;
    width: 70px;
    background-color: #fff;
}

.table.table-modeling>thead>tr>th {
    line-height: 24px;
    vertical-align: middle !important;
    padding-top: 0;
    padding-bottom: 0;
    min-height: 24px;
}

.table.table-modeling>thead>tr>th>a {
    line-height: 24px;
    vertical-align: middle !important;
    padding-top: 0;
    padding-bottom: 0;
    min-height: 24px;
    display: inline-block;
    float: left;
}

.table.table-modeling>thead>tr>th>a:hover {
    text-decoration: none;
}

.table td, .table th {
    padding: .75rem;
    vertical-align: top;
    border-top: 1px solid #dee2e6;
}


/*Tabla customizada*/

.specialtable-mobile{
	min-height: 200px; /*Cambiar de acuerdo a la altura que se desea*/
	width: 100%;
}

.flex-flow{
	flex-flow: row wrap;
}

.gray-bg-first{
	background-color: #f2f2f2;
	border-bottom-left-radius: 10px;
	border-top-left-radius: 10px;
	/*box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);*/
}

.gray-bg-middle{
	background-color: #f2f2f2;
	/*box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);*/
}

.gray-bg-last{
	background-color: #f2f2f2;
	border-top-right-radius: 10px;
	border-bottom-right-radius: 10px;
}

.boxes-custom {
    margin: 0 0 1rem;
    padding: 0.75rem 3rem;
}

.boxes-custom-button {
    margin: 0 0 1rem;
    padding: 0.25rem 2.3rem;
}

.headliners{
	position: sticky;
    top: 0;
    background-color: #ffffff;
    width: 100%;
    text-align: center;
}

.column-custom:first-child {
    position: sticky;
    left: 0;
    top: auto;
    white-space: nowrap;
    background-color: #fff;
    z-index: 100;
}

.column-custom:nth-child(2) {/*Agregar este estilo en caso que se desee bloquear una tercera línea*/
    position: sticky;
    left: 129px;
    top: auto;
    white-space: nowrap;
    background-color: #fff;
    z-index: 100;
}

.column-custom:last-child {
    position: sticky;
    left: 0;
    top: auto;
    white-space: nowrap;
    background-color: transparent;
    z-index: 100;
}



@media screen and (max-width: 400px) {
	.boxes-custom {
    padding: 1.155rem 2.3rem;
	}

	.boxes-custom-button {
	    padding: 0.25rem 2.4rem;
	}

}

@media screen and (min-width: 401px) and (max-width: 580px) {
	.boxes-custom {
    padding: 1.155rem 2.3rem;
	}

	.boxes-custom-button {
	    padding: 0.25rem 2.4rem;
	}
}

@media screen and (min-width: 581px) and (max-width: 767px) {
	.boxes-custom {
    padding: 1.155rem 2.3rem;
	}

	.boxes-custom-button {
	    padding: 0.25rem 2.4rem;
	}
}

@media screen and (min-width: 768px) and (max-width: 992px) {
	.boxes-custom {
    padding: 1.155rem 2.3rem;
	}

	.boxes-custom-button {
	    padding: 0.25rem 2.4rem;
	}
}

@media screen and (min-width: 993px) and (max-width: 1200px) {
	.boxes-custom {
    padding: 0.75rem 2rem;
	}

	.boxes-custom-button {
	    padding: 0.25rem 1.5rem;
	}
}

.btn-text-color{
    color: white
}

@media screen and (min-width: 1201px) {}

a {
    text-decoration: none;
}